Subject: bug#41407: 28.0.50; infinite loop "Article 53570 has a nil data header" on "Exiting summary buffer and applying spam rules"

From: Sam Steingold <[email-masked]>
Date: Wed, 05 Aug 2020 18:17:35 -0400

> * Lars Ingebrigtsen <[email-masked]> [2020-08-05 13:11:25 +0200]:
>
> Sam Steingold <[email-masked]> writes:
>
>> To exit *Summary gmane.emacs.gnus.general*, I hit `c`
>> (gnus-summary-catchup-and-exit) and get an infinite loop of repeating
>> messages:
>>
>> Exiting summary buffer and applying spam rules
>> Article 53570 has a nil data header
>> Article 53569 has a nil data header
>> Article 53568 has a nil data header
>
> Counting down to zero?

Down, but not to 0.
I guess to the earliest article in the buffer and then starting again
from 53570. As the subject says - "infinite loop".

> Anyway, this isn't something that Gnus does by default -- do you have
> any customisations that trigger this behaviour?

What customisations could possibly cause that?

At any rate, this was a few months ago and I have not seen it again
(knocks on wood ;-))

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1894
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
https://iris.org.il http://islamexposedonline.com https://www.memritv.org
What's the difference between Apathy & Ignorance? -I don't know and don't care!